# Verifications

## Verification Status

<table data-full-width="false"><thead><tr><th width="206">Status</th><th width="636">Description</th></tr></thead><tbody><tr><td>STARTED</td><td>Mobile app has invoked <code>SehaciSDK.prepare()</code></td></tr><tr><td>IN_PROGRESS</td><td>Encrypted mDL has been sent to the Sehaci Verification Service</td></tr><tr><td>PASSED</td><td>Document verified and valid</td></tr><tr><td>FAILED</td><td>Document verification failed</td></tr></tbody></table>

## List Verifications

<mark style="color:green;">`GET`</mark> `/verifications`

Retrieve a list of all verifications for the merchant.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| X-Api-Key    | `API_KEY`          |

**URL Params**

| Name       | Type   | Description                   |
| ---------- | ------ | ----------------------------- |
| `page`     | number | Page of the list              |
| `per_page` | number | Items per page                |
| `status`   | string | Filter by verification status |
| `issuer`   | string | Filter by issuer              |

**Response**

{% tabs %}
{% tab title="200" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>   "verifications": [
      {
         "verification_id": "f7a8b9c0-d1e2-f3a4-b5c6-d7e8f9a0b1c2",
         "name_short": "Ethan Harris",
         "status": "PASSED",
         "issuer_description": "Colorado DMV",
         "merchant_config_description": "Verification",
         "last_updated_at": "2024-07-03 19:10:00"
      },
      ...
   ],
   "page": 2,
   "per_page": 5,
   "total_items": 36,
   "total_pages": 8,
   "prev": "http://verify-api.sehaci.com/verifications?page=1",
   "next": "http://verify-api.sehaci.com/verifications?page=3"
}
</code></pre>

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

## Verification Details

<mark style="color:green;">`GET`</mark> `/verification/{verification_id}`

Retrieve the details of a specific verification.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| X-Api-Key    | `API_KEY`          |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "verification_id": "a5c7d8e9-f0a1-b2c3-d4e5-f6a7b8c9d0e1",
  "created_at": "2024-06-25T11:00:00",
  "last_updated_at": "2024-06-25T11:10:00",
  "name_short": "Sophia Davis",
  "status": "FAILED",
  "verified_at": "2024-06-25T11:05:00",
  "merchant_config": {
    "merchant_config_id": "e67bea25-de89-4c92-89e7-9b6a8324a7fa",
    "merchant_config_description": "Identity check + photo + video"
  },
  "issuer": {
    "issuer_id": "0C",
    "issuer_description": "Arizona DOT",
    "issuer_chain_valid": true,
    "issuer_signature_exists": true,
    "issuer_signature_valid": true,
    "issuer_signature_value": "f1e2d3c4b5a6f1e2d3c4b5a6f1e2d3c4"
  },
  "device": {
    "device_signature_exists": true,
    "device_signature_valid": true,
    "device_signature_value": null
  },
  "verified_data_elements": [
    "given_name",
    "family_name",
    "document_number",
    "expiry_date",
    "document_issue_date",
    "portrait",
    "resident_country",
    "birth_date",
    "age_in_years"
  ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.sehaci.com/verify-api/verifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
